<html><head>
      <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
   <title>lat_lham</title><link rel="stylesheet" href="javahelp.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.75.2"><link rel="home" href="index.html" title="Lattice Algebra Toolbox"><link rel="up" href="section_094ddc85e2564d3a6ffbd15263ec44a0.html" title="Part&nbsp;I.&nbsp;Lattice Algebra Toolbox"><link rel="prev" href="lat_laam.html" title="lat_laam"><link rel="next" href="lat_maxproduct.html" title="lat_maxproduct"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div lang="en" class="refentry" title="lat_lham"><a name="lat_lham"></a><div class="titlepage"></div>
  

  <div class="refnamediv"><h2>Name</h2><p>
    lat_lham

     &#8212; Lattice Hetero-Associative Memories (LHAM) from scilab
  </p></div>

  <div class="refsynopsisdiv" title="Execution"><h2>Execution</h2>
    
    <pre class="synopsis">[W,M] = lat_lham(valA,valB)</pre>
  </div>

  <div class="refsection" title="Description"><a name="d4e135"></a><h2>Description</h2>
    
    <p>Return the dilative and erosive Lattice Hetero-Associative Memories (LHAM) of input-ouput patterns (valA,valB).</p>
    <p>Input parameter valA must be a real valued matrix of dimensions nxp containing the input patterns to be stored in the memories.</p>
    <p>Input parameter valB must be a real valued matrix of dimensions mxp containing the output patterns to be stored in the memories.</p>
    <p>output parameter W will be a real valued matrix of dimensions mxn containing the erosive LAM.</p>
    <p>output parameter M will be a real valued matrix of dimensions mxn containing the dilative LAM.</p>
  </div>

  <div class="refsection" title="Examples"><a name="d4e142"></a><h2>Examples</h2>
    
    <pre class="programlisting">valA = rand(5,3)</pre>
    <pre class="programlisting">valB = rand(2,3)</pre>
    <pre class="programlisting">[W,M] = lat_lam(valA,valB)</pre>
  </div>

  <div class="refsection" title="Authors"><a name="d4e147"></a><h2>Authors</h2>
    
    <table border="0" summary="Simple list" class="simplelist"><tr><td>
	<span class="author">Miguel A. Veganzones</span>
      </td></tr></table>
  </div>
</div></body></html>